%define version 1.10.0
%define release %mkrel 1

Summary:	Tool to manage mind maps
Name: 		vym
Version: 	%version
Release: 	%release
Source0: 	http://prdownloads.sourceforge.net/vym/%{name}-%{version}.tar.bz2
URL: 		http://www.insilmaril.de/vym/
Patch0:         vym-1.10.0-dir-vars.patch
Patch1:         vym-1.10.0-docdir-searchList.patch
Patch2:         vym-1.10.0-xdg-open.patch
Patch3:         vym-0.10.0-editxlinkdialog-typeinfo.patch
Patch4:         vym-0.10.0-selection-typeinfo.patch
Patch5:         vym-0.10.0-mainwindow-typeinfo.patch
Patch6:         vym-0.10.0-xml-vym-typeinfo.patch
Patch7:         vym-1.10.0-ornamentedobj-typeinfo.patch
License: 	GPL
Group: 		Office
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	zip
BuildRequires:	libqt4-devel libqt3-devel libxext-devel desktop-file-utils

%description
VYM (View Your Mind) is a tool to generate and manipulate maps which
show your thoughts. Such maps can help you to improve your creativity
and effectivity. You can use them for time management, to organize
tasks, to get an overview over complex contexts, to sort your ideas etc.

Maps can be drawn by hand on paper or a flip chart and help to structure
your thoughs. While a tree like structure can be drawn by hand or any
drawing software vym offers much more features to work with such maps.

vym is not another drawing software, but a tool to store and modify
information in an intuitive way. For example you can reorder parts of
the map by pressing a key or add various information like a complete
email by a simple mouse click.

%prep
%setup -q

%patch0
%patch1
%patch2
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0

%build
/usr/lib/qt4/bin/qmake DOCDIR="%{_docdir}/%{name}-%{version}" PREFIX=%{_prefix}
%make

%install
rm -rf $RPM_BUILD_ROOT

/usr/lib/qt3/bin/lrelease vym.pro
%{__make} install INSTALL_ROOT=%{buildroot} COPY="%{__cp} -p -f"

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
%{__cp} -p icons/%{name}-16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{__cp} -p icons/%{name}.xpm %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.xpm

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
%{__cp} -p icons/%{name}-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
%{__cp} -p icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{__cp} -p icons/%{name}-editor.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}-editor.png


%{__mv} %{buildroot}%{_docdir}/%{name}-%{version}/ %{buildroot}%{_docdir}/%{name}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop
[DESKTOP ENTRY]
Name=VYM
StartupNotify=true
Terminal=False
Type=Application
Exec=%{_bindir}/vym
Categories=Office;Chart;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt INSTALL.txt demos/* doc/*
%_datadir/%name/
%_bindir/%name
%{_datadir}/applications/mandriva-%name.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}*
%{_iconsdir}/hicolor/48x48/apps/%{name}*
%{_iconsdir}/hicolor/128x128/apps/%{name}.png



%changelog
* Wed Mar 19 2008 Doktor5000 <rpm@mandrivauser.de> 1.10.0-1mud2008.0
- new release 1.10.0
- backport to 2008
- readd unpackaged files

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-2mdv2008.1
+ Revision: 171167
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 1.10.0-1mdv2008.1
+ Revision: 161780
- New version
- add patches from fedora

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jun 05 2007 Eskild Hustvedt <eskild@mandriva.org> 1.8.1-2mdv2008.0
+ Revision: 35851
- Adding unpackaged files
- Import vym



* Mon Aug 07 2006 Eskild Hustvedt <eskild@mandriva.org> 1.8.1-1mdv
- New release 1.8.1
- Spec cleanup
- XDG menu
- Dropped p0

* Thu Jul 14 2005 Frederic Lepied <flepied@mandriva.com> 1.7.0-1mdk
- New release 1.7.0

* Thu Mar 10 2005 Eskild Hustvedt <eskild@mandrake.org> 1.6.0-2mdk
- BuildRequires
- Requires zip for saving

* Sat Mar 05 2005 Michael Scherer <misc@mandrake.org> 1.6.0-1mdk
- New release 1.6.0
- update patch0

* Sun Nov  7 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.5.0-2mdk
- add icon

* Sat Nov  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.5.0-1mdk
- initial packaging

# end of file
